Subject: Re: MySQL and Apache 2.x compile: SIG_DFL' undeclared
From: Stipe Tolj <[email-masked]>
To: Jari Aalto <[email-masked]>
Cc: [email-masked]
Date: Sat, 01 Dec 2001 17:15:05 +0100

> -- Apache (latest)
> 
> make[3]: Entering directory `/usr/src/httpd-2_0_28/srclib/apr/threadproc/unix'
> make[4]: Entering directory `/usr/src/httpd-2_0_28/srclib/apr/threadproc/unix'
> /bin/sh /usr/src/httpd-2_0_28/srclib/apr/libtool --silent --mode=compile gcc   -
> static -Wall -Wno-format -Wstrict-prototypes -Wmissing-prototypes -mwindows -I/l
> ib -DHAVE_CONFIG_H -DCYGWIN   -I../../include -I../../include/arch/unix  -c proc
> .c && touch proc.lo
> proc.c: In function `apr_proc_create':
> proc.c:320: `SIG_DFL' undeclared (first use in this function)
> proc.c:320: (Each undeclared identifier is reported only once
> proc.c:320: for each function it appears in.)
> make[4]: *** [proc.lo] Error 1
> make[4]: Leaving directory `/usr/src/httpd-2_0_28/srclib/apr/threadproc/unix'
> make[3]: *** [all-recursive] Error 1
> make[3]: Leaving directory `/usr/src/httpd-2_0_28/srclib/apr/threadproc/unix'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/usr/src/httpd-2_0_28/srclib/apr'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/usr/src/httpd-2_0_28/srclib'

apache 2.0.x (beta) has a pre-defined setting to be compiled in
prefork mode for the worker.

I'll check current CVS tree if it compiles for me.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/